namespace example;

using System.Diagnostics.CodeAnalysis;

public class Pet {
  public required string Name { get; init; }
  public int Age { get; init; }

  [SetsRequiredMembersAttribute] //The compiler will not actually check if the values are provided
  public Pet(string name, int age) => (Name, Age) = (name, age);

  public override string ToString() => $"{Name} {Age}";
}
